##################################################################
#
# config.mk
#
# @file        config.mk
# 
##################################################################

# compilers

CC       := gcc
CXX      := g++
F77      := f77
AR       := ar -rc

#
#  ----->>>   settings for compilation
#
OPTIM    := -O5 -std=c++0x -Wall -Winit-self -fno-exceptions -fPIC -Wpointer-arith -Wcast-align -Woverloaded-virtual
# ggc 4.3: removed -Wshadow -fnonnull-objects -Wtraditional -Wnested-externs -Wconversion
DEBUG    := -g
ARCHDEF  := -D__LINUX__
SOFLAG   := -shared

# For debugging information use '-g'
# For producing gmon.out use    '-pg' (needs static linking)

#MARS_LIB = -Llib $(SUBDIRS:%=-l%) $(MARSLIBS)
MARS_LIB := -Llib $(MARSLIBS)
INCLUDES  = -I. $(SUBDIRS:%=-I%)

# uncomment this for quiet compilation

.SILENT:
